import { ComponentFixture, TestBed } from '@angular/core/testing';

import { LoadBalancerAssociateFloatingIpComponent } from './load-balancer-associate-floating-ip.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { MatDialogModule } from '@angular/material/dialog';

describe('LoadBalancerAssociateFloatingIpComponent', () => {
  let component: LoadBalancerAssociateFloatingIpComponent;
  let fixture: ComponentFixture<LoadBalancerAssociateFloatingIpComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [LoadBalancerAssociateFloatingIpComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(LoadBalancerAssociateFloatingIpComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
